import os
import yaml

with open(os.path.join(os.path.dirname(__file__), "data.yaml"), "r") as data:
    directory = yaml.load(data)

data = {}

for entry in directory.values():
    if "sn" in entry:
        unique_attr = entry["sn"][0]
    elif "uid" in entry:
        unique_attr = entry["uid"][0]
    else:
        continue

    if "gridX509subject" in entry:
        data[unique_attr.lower() + "_dn"] = entry["gridX509subject"][0]
        data[unique_attr.lower() + "_dn_quoted"] = '"{}"'.format(
            entry["gridX509subject"][0]
        )

    if "x-LIGO-uid" in entry:
        data[unique_attr.lower() + "_usernames"] = entry["x-LIGO-uid"]

    if "x-LIGO-uid;x-ligo-ldg-cdf" in entry:
        data[unique_attr.lower() + "_usernames_cdf"] = entry[
            "x-LIGO-uid;x-ligo-ldg-cdf"
        ]

    if "gridX509subject" in entry and "x-LIGO-uid" in entry:
        data[unique_attr.lower() + "_mapfile_entry"] = '"{}" {}'.format(
            entry["gridX509subject"][0], ",".join(entry["x-LIGO-uid"])
        )

invalid_subjects = [
    '/DC=org/DC=cilogon/C=US/O=LIGO/CN=Albert Einstein albert.einstein@ligo.org" root,'
]
